List profiles
curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://{space}.{region}.api.niadra.com/v1/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"profile_id": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e01",
"pseudonym": "p_kvkv3okp7vnw3mqs",
"kind": "person",
"handles": [
{
"type": "phone_e164",
"value": "+14*****0123",
"last_seen": "2026-09-22T17:07:03Z"
},
{
"type": "system_id",
"value": "48*13",
"last_seen": "2026-09-20T09:12:40Z"
}
],
"handle_count": 2,
"last_seen": "2026-09-22T17:07:03Z"
}
],
"next_cursor": "1790096823000000.0192f7a15b107c3a8e214d2f8a4c0e02"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Identity and profiles
List profiles
The customers of the space by latest activity, with the pseudonym and masked handles, a page at a time.
GET
/
v1
/
profiles
List profiles
Authorizations
sourceKeypersonToken
nia_sk_...
Query Parameters
The order: last_seen_desc, the latest activity first (the default), or last_seen_asc, the longest without activity first.
Available options:
last_seen_desc, last_seen_asc Only profiles of this kind: person, account or partner.
A person, a customer organization (account) or an organization that takes part without being a customer (partner).
Available options:
person, account, partner The next_cursor of the page before, as it came.
Maximum string length:
64How many rows a page, from 1 to 100; the default is 50.
Required range:
1 <= x <= 100
